# Sloty objektu
from proto import obj


# Vytvoříme bod:
point = obj.clone().set_name("point")

# Získání hodnoty slotu:
"""
>>> point.name()
'point'
"""

# Nastavení hodnoty slotu:
point.set_slot("x", 2)

"""
>>> point.x()
2
"""

# Přidání metody:
def point_y(resend, self):
    return self.x()

point.set_slot("y", point_y)

# Zavolání metody:
"""
>>> point.y()
2
"""

# Změna slotu x způsobí změnu vlastností x, y.
"""
>>> point.set_slot("x", 4)
<point at 0x108105e50>
>>> point.x()
4
>>> point.y()
4
"""

# Tisk slotů:
"""
>>> point.print_slots()
parent:	<obj at 0x10946d150>
name:	'point'
x:	2
y:	<function point_y at 0x10946a340>
"""

