# Ruční vytvoření metody pro nastavení hodnoty slotu.

from proto import obj

point = obj.clone().set_name("point")

def point_set_x(resend, self, val):
    return self.set_slot("x", val)

point.set_slot("set_x", point_set_x)

"""
>>> point.print_slots()
parent:	<obj at 0x110ae4f50>
name:	'point'
set_x:	<function point_set_x at 0x110ae2340>

>>> point.set_x(2)
<point at 0x110985410>
>>> point.print_slots()
parent:	<obj at 0x110ae4f50>
name:	'point'
set_x:	<function point_set_x at 0x110ae2340>
x:	2
"""
