from proto import obj

# obj je jediný objekt, který máme k dispozici.

"""
>>> obj
<obj at 0x10433c610>
"""


# Název objektu dostaneme zasláním
# zprávy name bez argumentů:
"""
>>> obj.name()
'obj'
"""

# Nový objekt vytvoříme zasláním zprávy clone:
"""
>>> point = obj.clone()
>>> point
<obj at 0x104333c50>
"""

# Změnit jméno lze zprávou set_name.
"""
>>> point.set_name("point")
<point at 0x104333c50>
"""

# Přidáme vlastnost x:

"""
>>> point.add_slot("x")
<point at 0x104333c50> 
>>> point.x()
>>> point.set_x(3)
<point at 0x104333c50> 
>>> point.x()
3
"""
