# Rodič objektu
from proto import obj

point = obj.clone()

"""
>>> point.print_slots()
parent:	<obj at 0x101065050>
"""

# Testovací objekty:
point.add_slot("x")
point.set_x(3)
p1 = point.clone()


# Jejich sloty:
"""
>>> p1.print_slots()
parent:	<obj at 0x100f0d610>

>>> point.print_slots()
parent:	<obj at 0x101065050>
x:	3
set_x:	<function object_add_slot.<locals>.set_value at 0x101063100>
"""

# Obsluha je číslo:
"""
>>> p1.x()
3
"""

# Obsluha je metoda:
"""
>>> p1.set_x(4)
<obj at 0x102473990>
>>> p1.x()
4
>>> p1.print_slots()
parent:	<obj at 0x10231dc50>
x:	4
>>> point.print_slots()
parent:	<obj at 0x10247cf10>
x:	3
set_x:	<function object_add_slot.<locals>.set_value at 0x10247af20>
"""
